package DevLog;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class MyPanel extends JPanel {

	public void paintComponent(Graphics g) {
		super.paintComponent(g); // erases background
		Graphics2D g2 = (Graphics2D) g; // cast for java2

		// g2.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
		// RenderingHints.VALUE_TEXT_ANTIALIAS_LCD_HRGB);

		// my graphics:
		g2.setColor(new Color(255, 0, 0));
		g2.fillRect(10, 10, 200, 50); // Cx,y,w,h) : top, left, width, height
		g2.setColor(new Color(0, 0, 0));
		g2.drawString("Hello World", 20, 20); // drawString (S,x,y) : x,y
												// left-BOTTOM of string
	}

	public static void main(String[] args) {
		JFrame frame = new JFrame();
		frame.setTitle("my panel");

		JPanel jp = new MyPanel();
		frame.getContentPane().add(jp);

		frame.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);

		frame.setSize(250, 200);
		frame.setVisible(true);
	}

}