// source: http://www.java-forums.org/awt-swing/6763-how-display-image.html
package DevLog;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

public class SwingDemo8 extends JPanel {

	BufferedImage image;

	public SwingDemo8(BufferedImage image) {
		this.image = image;
	}

	protected void paintComponent(Graphics g) {
		int x = (getWidth() - image.getWidth()) / 2;
		int y = (getHeight() - image.getHeight()) / 2;
		g.drawImage(image, x, y, this);
	}

	public static void main(String[] args) throws IOException {

		BufferedImage image = ImageIO.read(new File("pc.png"));

		SwingDemo8 myDemo = new SwingDemo8(image);

		JFrame f = new JFrame();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		f.add(new JScrollPane(myDemo));

		f.setSize(500, 500);
		f.setLocation(200, 200);
		f.setVisible(true);
	}
}