package DevLog;

import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JProgressBar;

public class ProgressBarDemo extends JFrame {

	private static final long serialVersionUID = 1L;

	int count = 0;
	JProgressBar jBar = new JProgressBar();
	GridLayout layout = new GridLayout(2, 1);
	JButton btnAction = new JButton("Go!");

	public ProgressBarDemo() {

		setTitle("Count and Go");

		Container contentPane = getContentPane();
		contentPane.setLayout(layout);
		contentPane.add(jBar);
		contentPane.add(btnAction);

		jBar.setMinimum(0);
		jBar.setMaximum(10);

		btnAction.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				count++;
				jBar.setValue(count);
				if (count == 10)
					System.exit(-1);
			}
		});
		pack();
		setVisible(true);
	}

	public static void main(String[] args) {
		new ProgressBarDemo();
	}
}