package DevLog;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

public class SwingDemo10 extends JPanel {

	BufferedImage image;
	double ratio;

	public SwingDemo10(BufferedImage image) {
		this.image = image;
		ratio = image.getHeight() / image.getWidth();
	}

	protected void paintComponent(Graphics g) {
		g.drawImage(image, 0, 0, getWidth(), (int) (getWidth() * ratio), 0, 0,
				image.getWidth(), image.getHeight(), this);
		// drawImage (I, dst, src, null or this) :
		// dst how many pixels we'll draw,
		// src part of the image to draw
	}

	public static void main(String[] args) throws IOException {

		BufferedImage image = ImageIO.read(new File("pc.png"));

		SwingDemo10 myDemo = new SwingDemo10(image);

		String className = myDemo.getClass().getCanonicalName();
		System.out.println(className);

		JFrame f = new JFrame();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		f.add(new JScrollPane(myDemo));

		// f.setSize(400, 400);
		// f.setLocation(200, 200);
		f.setVisible(true);
	}
}
