package DevLog;

import java.awt.Color;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class SwingDemo7_v2 extends JFrame {

	public JPanel panel;

	public void init() {
		Container cp = getContentPane();
		this.setTitle("example 7 v2");
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		panel = new JPanel();
		cp.add(panel);
	}

	// paintComponent for Panel, see SwingDemo8
	public void paint(Graphics g) {

		g = this.panel.getGraphics();
		Graphics2D g2 = (Graphics2D) g;

		g2.setColor(Color.RED);

		for (int i = 0; i < 100; ++i) {
			g2.drawLine((int) (250 * Math.random()),
					(int) (250 * Math.random()), (int) (250 * Math.random()),
					(int) (250 * Math.random()));
		}
	}

	public static void main(String[] args) {
		SwingDemo7_v2 frame = new SwingDemo7_v2();
		frame.init();
		frame.setSize(250, 250);
		frame.setVisible(true);
		frame.repaint();

	}

}