package DevLog;

import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class SwingDemoEvent2 extends JFrame implements ComponentListener {
	JLabel label;
	JButton button;
	int clicCount = 0;

	class MyButtonActionListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			clicCount++;
			label.setText(Integer.toString(clicCount));
		}
	}

	public void init() {
		this.setTitle("example event 2");
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);

		Container cp = getContentPane();
		cp.setLayout(new GridLayout(1, 2));

		button = new JButton("clique?");
		label = new JLabel();
		label.setText("...");

		button.addActionListener(new MyButtonActionListener());

		cp.add(button);
		cp.add(label);

		this.addComponentListener(this);
	}

	public void componentHidden(ComponentEvent e) {
	}

	public void componentMoved(ComponentEvent e) {
	}

	public void componentResized(ComponentEvent e) {
	}

	public void componentShown(ComponentEvent e) {
	}

	public static void main(String[] args) {
		SwingDemoEvent2 frame = new SwingDemoEvent2();
		frame.init();
		frame.setSize(300, 300);
		frame.setVisible(true);
	}
}
